Summary: SyncML client for evolution
Name: syncevolution
Version: 0.9.2
Release: 1%{?dist}
License: LGPLv2+
Group: Applications/Productivity
URL: http://syncevolution.org/
Source: http://downloads.syncevolution.org/syncevolution/sources/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: boost-devel
BuildRequires: cppunit-devel
BuildRequires: evolution-data-server-devel
BuildRequires: expat-devel
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libsoup-devel
BuildRequires: libical-devel
BuildRequires: nbtk-devel
BuildRequires: pcre-devel
BuildRequires: libcurl-devel
BuildRequires: gnome-keyring-devel
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libtool

%description
syncevolution is designed to provide a SyncML client that can
connect to and sync with various SyncML-based servers

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package gtk
Summary: GTK+ GUI for %{name}
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description gtk
GTK+ GUI for use with %{name}.

%package moblin
Summary: Moblin GUI for %{name}
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description moblin
Moblin GUI for use with %{name}.

%package perl
Summary: Perl utils for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description perl
Perl utils for use with %{name}.

%prep
%setup -q
# use the ac macros in Makefile.am
sed -i '/^ACLOCAL_AMFLAGS/{ /m4-repo/!s/$/ -I m4-repo/ }' Makefile*.am
touch -r Makefile-gen.am Makefile.am

%build
intltoolize --automake --copy --force
autoreconf -fiv
(cd src/synthesis && mkdir m4 && autoreconf -fi)
%configure --enable-unit-tests --enable-libsoup  \
    --enable-dbus-service --enable-shared --with-expat=system \
    --disable-static --enable-gui=all
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g
	s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags} V=1
find . -type d -perm 02755 -exec chmod 0755 '{}' \;

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/testcases
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

#Remove libtool archives and static libs
find %{buildroot} -name '*.la' -o -name '*.a' | xargs rm

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/sync-gtk.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/sync-moblin.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING HACKING LICENSE.LGPL-21 LICENSE.txt
%{_bindir}/client-test
%{_bindir}/syncevolution
%{_libdir}/*so.0*
%{_libdir}/syncevolution/
%{_libexecdir}/syncevo-dbus-server
%{_datadir}/dbus-1/services/org.Moblin.SyncEvolution.service
%{_datadir}/syncevolution/
%{_datadir}/icons/hicolor/48x48/apps/sync.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/syncevo-dbus/
%{_includedir}/syncevo/
%{_includedir}/synthesis/
%{_libdir}/pkgconfig/syncevo-dbus.pc
%{_libdir}/pkgconfig/syncevolution.pc
%{_libdir}/pkgconfig/synthesis.pc
%{_libdir}/*so

%files gtk
%defattr(-,root,root,-)
%{_bindir}/sync-ui-gtk
%{_datadir}/applications/sync-gtk.desktop
%{_datadir}/syncevolution/ui.xml

%files moblin
%defattr(-,root,root,-)
%{_bindir}/sync-ui-moblin
%{_datadir}/applications/sync-moblin.desktop

%files perl
%defattr(-,root,root,-)
%{_bindir}/synccompare

%changelog
* Wed Jan 27 2010 Peter Robinson <pbrobinson@gmail.com> - 0.9.2-1
- New upstream 0.9.2 release

* Tue Nov 17 2009 Peter Robinson <pbrobinson@redhat.com> - 0.9-3
- Spec updates, split perl utils into sub-package

* Fri Oct 16 2009 Peter Robinson <pbrobinson@redhat.com> - 0.9-2
- Enable the gtk and moblin guis

* Fri Sep 25 2009 Matěj Cepl <mcepl@redhat.com> - 0.9-1
- New upstream release.

* Wed Aug  5 2009 Matěj Cepl <mcepl@redhat.com> - 0.8.1+0.9+beta3+20090723-1.0.3
- missing BuildRequires

* Wed Aug  5 2009 Stepan Kasal <skasal@redhat.com> - 0.8.1+0.9+beta3+20090723-1.0.2
- fixing autoconfigury; now it fails in a later stage of build ;-)

* Wed Aug  5 2009 Matěj Cepl <mcepl@redhat.com> - 0.8.1+0.9+beta3+20090723-1.0.1
- fixing rpath, currently FTBFS!!!

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1a-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 23 2009 Matej Cepl <mcepl@redhat.com> 0.8.1a-1
- New upstream release.
- make a fix for one #elif which should be #else

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct  6 2008 Alex Lancaster <alexlan[AT] fedoraproject.org> - 0.7-4
- Rebuild against new libcppunit to fix broken deps

* Fri Aug 01 2008 Matěj Cepl <mcepl@redhat.com> 0.7-3
- Bump the release to fix broken update path for Rawhide

* Fri Feb 15 2008 Matěj Cepl <mcepl@redhat.com> 0.7-2
- Add #include <memory> to syncevolution.cpp according
  to https://sourceforge.net/tracker/\
  ?func=detail&amp;atid=764733&amp;aid=1893582&amp;group_id=146288

* Wed Feb 13 2008 Matěj Cepl <mcepl@redhat.com> 0.7-1
- New upstream version.

* Mon Oct 15 2007 matej <mcepl@redhat.com> 0.6-2
- updated SPEC to make the package approved for the Fedora
  review process.

* Sun Oct 12 2007 Matěj Cepl <mcepl@redhat.com> 0.6-1
- Fixing .spec -- use make install and others
- Install also configuration templates to %%docs

* Sun Sep 30 2007 Matěj Cepl <mcepl@redhat.com> 0.6-0
- Experimental build from upstream source.

* Tue Jan 16 2007 Richard Monk <rmonk@redhat.com> 0.5-1
- Inital packaging
